//
//  Converting_Meaningful_Addresses_to_Longitude_and_LatitudeViewController.m
//  Converting Meaningful Addresses to Longitude and Latitude
//
//  Created by Vandad Nahavandipoor on 15/07/2011.
//  Copyright 2011 Pixolity Ltd. All rights reserved.
//

#import "Converting_Meaningful_Addresses_to_Longitude_and_LatitudeViewController.h"

@implementation
  Converting_Meaningful_Addresses_to_Longitude_and_LatitudeViewController

@synthesize myGeocoder;

- (void)didReceiveMemoryWarning{
  [super didReceiveMemoryWarning];
  // Usunięcie wszelkich buforowanych danych, obrazów itd., które nie są obecnie używane.
}

- (void)viewDidLoad{
  [super viewDidLoad];
  
  /* Rzeczywisty adres lokalizacji. */
  NSString *oreillyAddress = 
    @"Tadeusza Kościuszki 1, 44-100 Gliwice";
  
  self.myGeocoder = [[CLGeocoder alloc] init];
  
  [self.myGeocoder
   geocodeAddressString:oreillyAddress
   completionHandler:^(NSArray *placemarks, NSError *error) {
     
     if ([placemarks count] > 0 &&
         error == nil){
       NSLog(@"Znaleziono %lu miejsc(e).", (unsigned long)[placemarks count]);
       CLPlacemark *firstPlacemark = [placemarks objectAtIndex:0];
       NSLog(@"Długość geograficzna = %f", firstPlacemark.location.coordinate.longitude);
       NSLog(@"Szerokość geograficzna = %f", firstPlacemark.location.coordinate.latitude);
     }
     else if ([placemarks count] == 0 &&
              error == nil){
       NSLog(@"Nie znaleziono miejsca.");
     }
     else if (error != nil){
       NSLog(@"Wystąpił błąd = %@", error);
     }
     
   }];
  
}

- (void)viewDidUnload{
  [super viewDidUnload];
  self.myGeocoder = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation
        :(UIInterfaceOrientation)interfaceOrientation{
  return YES;
}

@end
